VRSpace.org - Feature #83

revisit ownership model
06/26/2021 07:07 PM - Josip Almasi

Status: Closed Start date: 06/26/2021
Priority: Normal Due date:

Assignee: Josip Almasi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dispatcher so far only check Client.isOwner(VRObject), but only purpose of this method is to determine if the client can change
object's properties.

History

#1 - 05/25/2022 05:32 PM - Josip Almasi
- Status changed from New to Resolved

- Assignee set to Josip Almasi

Pushed to ownership-redesign branch.
Essentially ownership needs to be unbound from Client into another relation, and many-to-many. Having many owners allows functions like 'share
with', so a handful of users and/or bots can modify some objects, but nobody else.

At this point there's exactly zero benefits from this, so let it remain in the branch until useful.
To make use of it, there need to be some REST controller, blockchain integration etc.

#2 - 04/05/2023 10:08 AM - Josip Almasi

- Status changed from Resolved to Closed

Merged to master, seems to work fine.
